Create NVLink Logical Partition

View as Markdown

Create an NVLink Logical Partition for the org.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the NGC Org

Request

This endpoint expects an object.
namestringRequired2-256 characters
Name of the NVLink Logical Partition to create
siteIdstringRequiredformat: "uuid"
ID of the Site the NVLink Logical Partition should belong to
descriptionstring or nullOptional
Optional description of the NVLink Logical Partition

Response

Created
idstringRead-onlyformat: "uuid"
Unique ID of the NVLink Logical Partition
namestring2-256 characters
Name of the NVLink Logical Partition
descriptionstring or null
Optional description of the NVLink Logical Partition
siteIdstringformat: "uuid"
ID of the Site the NVLink Logical Partition belongs to
tenantIdstringformat: "uuid"
ID of the Tenant the NVLink Logical Partition belongs to
statusenum
Status of the NVLink Logical Partition
statusHistorylist of objectsRead-only
Details of status changes for the NVLink Logical Partition over time
nvLinkLogicalPartitionStatsobject

GPU and Instance usage counts for the NVLink Logical Partition. Returned if the includeStats query parameter is set to true in retrieval endpoints

createddatetimeRead-only
Date and time the NVLink Logical Partition was created
updateddatetimeRead-only
Date and time the NVLink Logical Partition was last updated

Errors

400
Bad Request Error
403
Forbidden Error